# QStyleOptionProgressBar Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionProgressBar()
- void QStyleOptionProgressBar(QStyleOptionProgressBar other)

### Constructor Properties

- prototype: The QStyleOptionProgressBar prototype object
- Version = 1
- StyleOptionVersion( value )
- Type = SO_ProgressBar
- StyleOptionType( value )

### Instance Properties

QStyleOptionProgressBar objects have no special properties beyond those inherited from the QStyleOptionProgressBar prototype object.